Bug 31769 - Kernel fails to load cs46xx module on an IBM Thinkpad T20
Summary: Kernel fails to load cs46xx module on an IBM Thinkpad T20
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-14 09:05 UTC by Steve Ward
Modified: 2007-04-18 16:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-15 17:51:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:084 normal SHIPPED_LIVE Kernel: Kernel: 2001-06-21 04:00:00 UTC

Description Steve Ward 2001-03-14 09:05:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.0-0.99.11 i686)


sndconfig correctly identifies Thinkpad sound chip as cs46xx family, writes
/etc/modules.conf, but then gets error listed below when attempting to load
the module.  Tried adding thinkpad=1 option to no avail.

Reproducible: Always
Steps to Reproduce:
1. Run sndconfig on IBM Thinkpad T20
2. Accept probed choice of cs46xx sound chip
3. try to run test in sndconfig.
	

Actual Results:   See error messages below.

Expected Results:  Should have played sample sounds

[root@localhost /root]# modprobe cs46xx
/lib/modules/2.4.0-0.99.11/kernel/drivers/sound/cs46xx.o: init_module: No
such device
Hint: insmod errors can be caused by incorrect module parameters, including
invalid IO or IRQ parameters
/lib/modules/2.4.0-0.99.11/kernel/drivers/sound/cs46xx.o: insmod
/lib/modules/2.4.0-0.99.11/kernel/drivers/sound/cs46xx.o failed
/lib/modules/2.4.0-0.99.11/kernel/drivers/sound/cs46xx.o: insmod cs46xx
failed

Comment 1 Bill Nottingham 2001-03-14 16:20:38 UTC
lspci -v output?

Comment 2 Steve Ward 2001-03-14 21:22:13 UTC
[root@localhost /root]# lspci -v
00:00.0 Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge (rev
03)
	Flags: bus master, medium devsel, latency 64
	Memory at f8000000 (32-bit, prefetchable) [size=64M]
	Capabilities: [a0] AGP version 1.0

00:01.0 PCI bridge: Intel Corporation 440BX/ZX - 82443BX/ZX AGP bridge (rev 03)
(prog-if 00 [Normal decode])
	Flags: bus master, 66Mhz, medium devsel, latency 128
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
	Memory behind bridge: f0000000-f7ffffff

00:02.0 CardBus bridge: Texas Instruments PCI1450 (rev 03)
	Subsystem: IBM: Unknown device 0130
	Flags: bus master, medium devsel, latency 168, IRQ 11
	Memory at 50000000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=176
	Memory window 0: 10000000-103ff000 (prefetchable)
	Memory window 1: 10400000-107ff000
	I/O window 0: 00001400-000014ff
	I/O window 1: 00001c00-00001cff
	16-bit legacy interface ports at 0001

00:02.1 CardBus bridge: Texas Instruments PCI1450 (rev 03)
	Subsystem: IBM: Unknown device 0130
	Flags: bus master, medium devsel, latency 168, IRQ 11
	Memory at 50100000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=176
	Memory window 0: 10800000-10bff000 (prefetchable)
	Memory window 1: 10c00000-10fff000
	I/O window 0: 00002000-000020ff
	I/O window 1: 00002400-000024ff
	16-bit legacy interface ports at 0001

00:03.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev 09)
	Subsystem: Intel Corporation: Unknown device 2408
	Flags: bus master, medium devsel, latency 66, IRQ 11
	Memory at e8120000 (32-bit, non-prefetchable) [size=4K]
	I/O ports at 1800 [size=64]
	Memory at e8100000 (32-bit, non-prefetchable) [size=128K]
	Expansion ROM at <unassigned> [disabled] [size=1M]
	Capabilities: [dc] Power Management version 2

00:03.1 Serial controller: Xircom: Unknown device 000c (prog-if 02 [16550])
	Subsystem: Intel Corporation: Unknown device 2408
	Flags: medium devsel, IRQ 11
	I/O ports at 1840 [size=8]
	Memory at e8121000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [dc] Power Management version 2

00:05.0 Multimedia audio controller: Cirrus Logic CS 4614/22/24 [CrystalClear So
undFusion Audio Accelerator] (rev 01)
	Subsystem: IBM: Unknown device 0153
	Flags: slow devsel, IRQ 11
	Memory at e8122000 (32-bit, non-prefetchable) [size=4K]
	Memory at e8000000 (32-bit, non-prefetchable) [size=1M]
	Capabilities: [40] Power Management version 2

00:07.0 Bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
	Flags: bus master, medium devsel, latency 0

00:07.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01) (prog-if 80 
[Master])
	Flags: bus master, medium devsel, latency 64
	I/O ports at 1850 [size=16]

00:07.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01) (prog-if 00
 [UHCI])
	Flags: bus master, medium devsel, latency 64, IRQ 11
	I/O ports at 1860 [size=32]

00:07.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 03)
	Flags: medium devsel

01:00.0 VGA compatible controller: S3 Inc. 86C270-294 Savage/MX-/IX (rev 11) (pr
og-if 00 [VGA])
	Subsystem: IBM: Unknown device 017f
	Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 11
	Memory at f0000000 (32-bit, non-prefetchable) [size=128M]
	Expansion ROM at <unassigned> [disabled] [size=64K]
	Capabilities: [dc] Power Management version 1
	Capabilities: [80] AGP version 1.0


Comment 3 Bill Nottingham 2001-03-14 21:40:31 UTC
Hm, it's not set as bus master. That may or may not make a difference.

But it *should* work. Are there any other error messages in dmesg?

Comment 4 Steve Ward 2001-03-15 09:46:17 UTC
AHA!

Appears this is an initialization problem, when I cold-boot from power-off all
is well.  When I warm-boot from some other OS (w2K-problem) is when it fails to
load.  Looks like other OS is leaving the chip in an un-expected state.

Also seeing similar wierdnesses with the mini-PCI eepro100 card.

Comment 5 Michael K. Johnson 2001-03-15 17:51:42 UTC
This could easily be a BIOS bug on that machine, unfortunately.

Comment 6 Arjan van de Ven 2001-03-23 20:14:12 UTC
W2K sometimes powers devices down in a way Linux has trouble powering back up.
Sometimes it even sets the MAC address for networkcards to all 00:00's while
storing the real address in it's registry.

I'd hardly call this a Linux bug...

Comment 7 Tom "spot" Callaway 2001-06-06 00:53:26 UTC
hate to reopen things labeled as "notabug", but this is definitely a kernel
related problem. ran into it on my gf's T20 and it definitely wasnt being left
in a bad state by any other OS. the module claimed to modprobe several times,
but never actually did.

resolution: installed rawhide kernel, driver loads happily.


Note You need to log in before you can comment on or make changes to this bug.